View Issue Details

IDProjectCategoryView StatusLast Update
0002197FreeCADBugpublic2015-12-15 13:17
ReporterValdasAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSKUbuntuOS Version
Product Version 
Target VersionFixed in Version0.16 
Summary0002197: Buggy Placement dialog when using Euler angles
Descriptionsituation:

- create cube in Part WB;
- choose Edit -> Placement.. from menu;
- in Dialog change method of Rotation to Euler Angles;
- Roll change to -90 deg;
- Pitch change to 45 deg;
- hit OK in dialog;
- inspect Placement property of Cube in Data tab: values are same as before Placement dialog (but cube visually is rotated);
- try to change X value of Position property: visually rotation of cube resets to initial position.
Additional InformationOS: Ubuntu 14.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5238 (Git)
Build type: None
Branch: master
Hash: fcefdc0a8dfecd63616b6445f91b20748ba390c9
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Relationships

related to 0001941 closedwmayer Refresh Property Editor 

Activities

biogeo

2015-07-30 20:23

reporter   ~0006263

I also experience this same issue when using the Transform GUI tool to rotate a part or setting the part placement using the Python console. I suspect the bug is in the property inspector GUI, as forcing it to "refresh" its information by selecting a different part and then reselecting the original part causes it to display the correct position information.

Issue History

Date Modified Username Field Change
2015-07-22 14:30 Valdas New Issue
2015-07-30 20:23 biogeo Note Added: 0006263
2015-09-12 14:44 wmayer Relationship added related to 0001941
2015-09-13 13:18 wmayer Changeset attached => FreeCAD Master master 043dc161
2015-09-13 13:18 wmayer Assigned To => wmayer
2015-09-13 13:18 wmayer Status new => closed
2015-09-13 13:18 wmayer Resolution open => fixed
2015-12-15 13:17 yorik Fixed in Version => 0.16